Option Strict On
Module Module1

    Sub Main()
        Const h As Double = 6.626176E-34
        Const k As Double = 1.380662E-23
        Const c As Double = 299792558.0
        Dim v, T, P As Double
        Dim vMin As Double = 10000000000000
        Dim vMax As Double = 90000000000000
        Dim dv As Double = 5000000000000
        T = 1000
        Console.WriteLine("При температуре {0}К", T)
        Console.WriteLine()
        Console.WriteLine("выполнены расчеты для заданного интервала частот")
        Console.WriteLine()
        Console.WriteLine("Частота 1/с           |         P (Дж*с/см3)")
        Console.WriteLine("_ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _ _")
        For i As Integer = 0 To CInt((vMax - vMin) / dv)
            v = vMin + i * dv
            P = 8 * Math.PI * h * (v ^ 3) / ((c ^ 3) * (1000000.0) * (Math.Exp(h * v / (k * T)) - 1))
            Console.WriteLine(" {0}     |     {1}", v, P)
        Next i
        Console.ReadLine()
    End Sub

End Module
